View Issue Details

IDProjectCategoryView StatusLast Update
0022206mantisbtplug-inspublic2017-01-31 04:02
ReporterdregadAssigned Todregad 
PrioritynormalSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.1.0Fixed in Version2.1.0 
Summary0022206: Improve documentation for plugins
Description

The plugin properties are only documented in the code (as docblocks in the MantisPlugin class).

This should be detailed in the Developer's guide.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 8ff0a6b2

2017-01-15 18:47:13

dregad

Details Diff
Documentation: update plugin section in Dev guide

- remove useless level 4 section
- add new plugin properties section (based on PHPDoc blocks in
MantisPlugin class, and comments in plugin API)
- formatting and layout adjustments

Fixes 0022206
mod - docbook/Developers_Guide/en-US/Plugins_Building.xml Diff File
mod - docbook/Developers_Guide/en-US/Plugins_Building_Source.xml Diff File

MantisBT: master 1d96c88c

2017-01-25 10:51:10

dregad


Committer: GitHub Details Diff
Merge plugin requirements PR

Prevents plugins getting disabled when bumping MANTIS_VERSION to 2.1.x.
Fixes 0022171

Also contains the following changes and improvements:
- Add PHPUnit tests for plugin_dependency() function
- Refactor plugin_version_check() to use PHP's version_compare()
function instead of custom code
- Reset MANTIS_VERSION to 2.1.0-dev.
- Revert MantisCore version requirements in bundled plugins
- Fix PHP notice when specifying plugin authors as array, fixes 0022205
- align code with documentation
- Improved plugin documentation in Developers guide, fixes 0022206

PR https://github.com/mantisbt/mantisbt/pull/995
mod - core/constant_inc.php Diff File
mod - core/plugin_api.php Diff File
mod - docbook/Developers_Guide/en-US/Plugins_Building.xml Diff File
mod - docbook/Developers_Guide/en-US/Plugins_Building_Source.xml Diff File
mod - manage_plugin_page.php Diff File
mod - plugins/Gravatar/Gravatar.php Diff File
mod - plugins/MantisCoreFormatting/MantisCoreFormatting.php Diff File
mod - plugins/MantisGraph/MantisGraph.php Diff File
mod - plugins/XmlImportExport/XmlImportExport.php Diff File
mod - tests/Mantis/AllTests.php Diff File
add - tests/Mantis/PluginTest.php Diff File

Issue History

Date Modified Username Field Change
2017-01-15 18:35 dregad New Issue
2017-01-15 18:35 dregad Status new => assigned
2017-01-15 18:35 dregad Assigned To => dregad
2017-01-15 19:03 dregad Note Added: 0055137
2017-01-25 10:51 dregad Changeset attached => MantisBT master 8ff0a6b2
2017-01-25 10:51 dregad Changeset attached => MantisBT master 1d96c88c
2017-01-25 10:51 dregad Status assigned => resolved
2017-01-25 10:51 dregad Resolution open => fixed
2017-01-25 10:51 dregad Fixed in Version => 2.1.0
2017-01-31 04:02 vboctor Status resolved => closed